HomeDocumentationAPI Endpoints
Log In
API Endpoints

Bank Statement Analytics Journey ( PDF Upload) - Initiate Journey

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

STEP 1

The businesses need to invoke this API either with AA data or Bank statement to perform Bank Statement Analytics.

šŸ“˜

Journey ID will be shared as part of Onboarding.

Journey Output Data

{
    "journey_id": "bsa_dev_test_v1",
    "transaction_id": "",
    "input_data": {
        "bank_statement_data": [
            {
                "bank_statement_url": ""
            }
        ]
    }
}

Journey Output Data

{
  "transaction_id": "",
  "journey_transaction_id": "",
  "journey_id": "",
  "status": "SUCCESS|FAILURE|IN_PROGRESS",
  "status_code": "Refer to the table below",
  "message": "Refer to the table below",
  "checks": [],
  "data": {
    "keys": {},
    "insights": {}
  }
}
šŸ“˜

These journeys do not include any pre-configured Ownership or Fraud Checks. To add these checks, please contact your Account Manager.

Body Params
string
required

The exchange transaction ID is generated by invoking the Initialise Exchange Transaction API. This identifier groups various verification journey requests into a single transaction, enabling the sharing and accessing of data across different verification processes.

string
required
Defaults to bsa_dev_test_v1

A journey ID stores all the configuration details that are applied as part of the verification process. This ID is provided by Equal and is unique for each verification journey.

input_data
object
required

The dynamic journey input data object structure varies depending on the journey_id and the configurations set for the specific journey. For example, Bank Statement Analytics Journeys will have input parameters like Bank Statement PDF.

string

You can pass a request ID to uniquely identify each attempt of the verification journey separately on your end.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json